Method: projects.locations.instances.list

列出指定專案和位置中的執行個體。

HTTP 要求


GET https://memorystore.googleapis.com/v1beta/{parent=projects/*/locations/*}/instances

這些網址使用 gRPC 轉碼語法。

路徑參數

參數
parent

string

這是必要旗標,要列出執行個體的父項。格式:projects/{project}/locations/{location}

查詢參數

參數
pageSize

integer

選用。要求的頁面大小。伺服器傳回的項目數量可能少於要求數量。如未指定,伺服器會選取適當的預設值。

pageToken

string

選用。伺服器應傳回的結果頁面識別符記。

filter

string

選用。用於篩選結果的運算式。

orderBy

string

選用。依定義的順序排序結果。支援的值:「name」、「createTime」。

要求主體

要求主體必須為空白。

回應主體

instances.list 的回應訊息。

如果成功,回應主體會含有以下結構的資料:

JSON 表示法
{
  "instances": [
    {
      object (Instance)
    }
  ],
  "nextPageToken": string,
  "unreachable": [
    string
  ]
}
欄位
instances[]

object (Instance)

如果要求的 {location} 為「-」,則回應會包含所有位置的執行個體清單。系統會省略無法連線的地點。

nextPageToken

string

可做為 pageToken 傳送的權杖,用於擷取後續網頁。如果省略這個欄位,就不會有後續頁面。

unreachable[]

string

無法連線的位置。

授權範圍

需要下列其中一種 OAuth 範圍:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/memorystore.read-write
  • https://www.googleapis.com/auth/memorystore.read-only

IAM 權限

需要 parent 資源的下列 IAM 權限:

  • memorystore.instances.list

詳情請參閱 IAM 說明文件。